import request from '@/router/axios';

//获取excel字段信息
export const getElementInfoByTabId = (params) => {
    return request({
        url: '/api/blade-manager/linkdatainfo/getElementInfoByTabId',
        method: 'get',
        params
    })
}

//新增修改
export const submit = (data) => {
    return request({
        url: '/api/blade-manager/linkdatainfo/saveTabColInfo',
        method: 'post',
        data
    })
}

//删除元素
export const remove = (data) => {
    return request({
        url: '/api/blade-manager/linkdatainfo/remove',
        method: 'post',
        data
    })
}

//数据类型字典
export const dictionarydataType = () => {
    return request({
        url: '/api/blade-system/dict/dictionary?code=data_type',
        method: 'get',
    })
}

//表单所属方
export const dictionaryAloneType = () => {
  return request({
    url: '/api/blade-system/dict/dictionary?code=owner_type',
    method: 'get',
  })
}


//添加新元素
export const submitBatch = (data) => {
    return request({
        url: '/api/blade-manager/wbsFormElement/submitBatch   ',
        method: 'post',
        data
    })
}
